Error -88716 with DAQ Device on Real-Time (RT) Controller

Updated Jun 14, 2018

Reported In

Software

  • LabVIEW Real-Time Module

Driver

  • Traditional NI-DAQ
  • NI-DAQmx
  • NI-DMM
  • NI-SCOPE
  • NI-FGEN
  • NI-DCPower

Operating System

  • NI Linux Real-Time

Issue Details

I have installed a data acquisition (DAQ) device on my RT target (such as an RT PXI Controller or a PC converted to a RT target). When I try to access my DAQ devices installed on my RT target, I get the following error: 

Error -88716 occurred at Device Communication

Possible Reason(s):
The requested operation failed because the versions of a driver installed on the local and the remote system are different.
Update the driver so the versions on the two systems are the same.

 

Solution

The error is due to a mismatch in the DAQmx (or Traditional NI-DAQ(Legacy) ) driver versions. To fix the problem make sure you have the exact same version of the driver on the RT target and on your host computer.
  1. Find your RT target under Remote Systems in the Measurement & Automation Explorer (MAX).
  2. Click on the "+" sign next to the name of your RT target to show all folders that belong to your RT target.
  3. Right-click the Software folder and select Add/Remove Software.
  4. Find the DAQmx (or Traditional NI-DAQ (Legacy) ) driver in the list of software and make sure the version on the host PC matches the version on the RT target.

Additional Information

Even though here we use the DAQmx driver as an example, you will get the same message for any device (for example a serial device) whose driver versions are different on the host PC and on the RT target.

WAS THIS ARTICLE HELPFUL?

Not Helpful